> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get an extension

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/extensions/{extension_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/ui-extensions/get-an-extension

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `extension_id` (string, required) — ID of the extension in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "extension": {
    "fieldTypes": [
      {
        "type": "Symbol"
      },
      {
        "type": "Text"
      }
    ],
    "name": "My awesome extension",
    "sidebar": false,
    "src": "https://example.com/my"
  },
  "sys": {
    "createdAt": "2025-08-05T07:11:32.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "0xvkPW9FdQ1kkWlWZ8ga4x",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Extension",
    "updatedAt": "2025-08-05T07:11:32.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .uiExtensions()
    .async()
    .fetchOne(
        "<extension_id>",
        new CMACallback<CMAUiExtension>() {
          @Override protected void onSuccess(CMAUiExtension result) {
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Successfully fetched one ui extension." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch one extension." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAUiExtension extension = client
    .uiExtensions()
    .fetchOne("<extension_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val extension = client
        .uiExtensions()
        .fetchOne("<extension_id>")
```

```js-legacy JavaScript (legacy)
// SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const uiExtension = await client.extension.get({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  extensionId: '<extension_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$extension = $environment->getExtension('<extension_id>');
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

ui_extension = client.ui_extensions('<space_id>', '<environment_id>').find('<extension_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

ui_extension = client.ui_extensions('<space_id>', '<environment_id>').find('<extension_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var extension = await client.GetExtension("<extension_id>");
```

```swift Swift
No snippet for this SDK.
```